# 브랜드 소식 상세 조회

## Request

## 브랜드 소식의 소식 상세 내용을 조회합니다.<br>

> 브랜드 소식의 소식 상세 내용을 조회합니다.<br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center 브랜드 소식 API 규격","version":"1.0.0"},"servers":[{"url":"https://api-qa.rcsbizcenter.com/bfapi/1.0","description":"RCS Biz Center API for Staging"},{"url":"https://api.rcsbizcenter.com/bfapi/1.0","description":"RCS Biz Center API for Production"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/brand/{brandId}/feed/{feedId}":{"get":{"summary":"브랜드 소식의 소식 상세 내용을 조회합니다.\n","description":"브랜드 소식의 소식 상세 내용을 조회합니다.\n","parameters":[{"name":"X-RCS-Brandkey","in":"header","description":"maxLength: 36 - RCS Biz Center에서 브랜드 등록 시 자동 생성되는 Key 입니다. 대행사가 브랜드 소식 API 연동 시 Header에 반드시 설정하여야 합니다.","required":false,"schema":{"type":"string"}},{"name":"brandId","in":"path","description":"브랜드 내 정보 접근시 사용되는 브랜드ID Path Parameter 입니다.","required":true,"schema":{"type":"string"}},{"name":"feedId","in":"path","description":"브랜드 소식 내 개별 소식 ID 입니다.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="132">필드명</th><th width="213">타입</th><th width="64" align="center">길이</th><th width="89" align="center">필수여부</th><th width="83">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-brandfeeddetail-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;BrandFeedDetail></td><td align="center"></td><td align="center">O</td><td></td><td>브랜드소식상세정보</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td>리턴코드값</td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td>상태값</td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>처리메시지</td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<BrandFeedDetail>

<table data-full-width="true"><thead><tr><th width="130">필드명</th><th width="89">타입</th><th width="74" align="center">길이</th><th width="87" align="center">필수여부</th><th width="72">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>brandId</code></strong></td><td>string</td><td align="center">13</td><td align="center">O</td><td></td><td>브랜드 ID</td></tr><tr><td><strong><code>feedId</code></strong></td><td>string</td><td align="center">10</td><td align="center">O</td><td></td><td>소식 ID</td></tr><tr><td><strong><code>title</code></strong></td><td>integer</td><td align="center">40</td><td align="center">O</td><td></td><td>브랜드 소식 제목</td></tr><tr><td><strong><code>description</code></strong></td><td>string</td><td align="center">2000</td><td align="center">O</td><td></td><td>브랜드 소식 내용</td></tr><tr><td><strong><code>type</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>브랜드 소식 카드 유형(gallery, share)</td></tr><tr><td><strong><code>status</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td><p>소식의 상태값</p><ul><li>save: 저장(최종 등록되지 않은 임시저장 상태)</li><li>ok: 등록</li><li>hide: 비공개 - 숨김처리되어 목록에 비노출</li><li>delete: 논리 삭제(삭제된 소식은 수정 불가)</li></ul></td></tr><tr><td><strong><code>publishType</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td><p>소식의 게시 유형</p><ul><li>publish: 게시 - 정상 게시됨</li><li>reservation: 예약 - 지정한 일자에 소식목록에 표시되도록 예약된 소식</li><li>internet: 숨김게시 - 소식목록에 표시되지 않지만 URL을 통해 접근 가능한 소식</li></ul></td></tr><tr><td><strong><code>publishDate</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>게시 일자.</td></tr><tr><td><strong><code>pinYn</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td>N</td><td>소식 메인 상단 고정여부.</td></tr><tr><td><strong><code>registerDate</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>등록 일시</td></tr><tr><td><strong><code>updateDate</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>수정 일시</td></tr><tr><td><strong><code>registerId</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>등록 계정 ID</td></tr><tr><td><strong><code>updateId</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>수정 계정 ID</td></tr><tr><td><a href="#share-sharetype"><mark style="color:blue;"><strong><code>share</code></strong></mark></a></td><td>ShareType</td><td align="center"></td><td align="center"></td><td></td><td>Share 유형은 SNS 제공처에서 제공하는 오픈그래프 meta 정보를 추출하여 등록해야 합니다. share 유형의 객체입니다.</td></tr><tr><td><a href="#media-mediatype"><mark style="color:blue;"><strong><code>media</code></strong></mark></a></td><td>array&#x3C;MediaType></td><td align="center"></td><td align="center"></td><td></td><td>gallery 유형을 구성하는 이미지 정보 객체입니다.</td></tr><tr><td><a href="#buttons-buttons"><mark style="color:blue;"><strong><code>buttons</code></strong></mark></a></td><td>array&#x3C;Buttons></td><td align="center"></td><td align="center"></td><td></td><td>소식 카드에 지정할 수 있는 버튼 정보 객체입니다.</td></tr><tr><td><strong><code>feedUrl</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>status가 save가 아닌 경우 소식 URL 제공</td></tr></tbody></table>

### <mark style="color:blue;">share</mark> - ShareType

<table data-full-width="true"><thead><tr><th width="128">필드명</th><th width="90">타입</th><th width="78" align="center">길이</th><th width="84" align="center">필수여부</th><th width="73">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>snsLink</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>소식 유형이 [share] 타입일때 의 SNS URL</td></tr><tr><td><strong><code>title</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>snsLink에서 추출한 open graph tag의 title 값</td></tr><tr><td><strong><code>description</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>snsLink에서 추출한 open graph tag의 description 값</td></tr><tr><td><strong><code>imageUrl</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>snsLink에서 추출한 open graph tag의 image 값</td></tr></tbody></table>

### <mark style="color:blue;">media</mark> - MediaType

<table data-full-width="true"><thead><tr><th width="131">필드명</th><th width="87">타입</th><th width="79" align="center">길이</th><th width="84" align="center">필수여부</th><th width="73">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>orderNo</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>정렬 순서</td></tr><tr><td><strong><code>fileId</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>이미지 파일 ID</td></tr><tr><td><strong><code>url</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>이미지 URL(파일 등록 결과로 제공됨)</td></tr></tbody></table>

### <mark style="color:blue;">buttons</mark> - Buttons

<table data-full-width="true"><thead><tr><th width="133">필드명</th><th width="88">타입</th><th width="78" align="center">길이</th><th width="81" align="center">필수여부</th><th width="74">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>type</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>버튼 유형<br>(app, url, call, chat)</td></tr><tr><td><strong><code>orderNo</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>정렬 순서</td></tr><tr><td><strong><code>title</code></strong></td><td>sting</td><td align="center"></td><td align="center">O</td><td></td><td>버튼명</td></tr><tr><td><a href="#applink-applink"><mark style="color:blue;"><strong><code>applink</code></strong></mark></a></td><td>AppLink</td><td align="center"></td><td align="center"></td><td></td><td>APP 버튼 정보 객체입니다.</td></tr><tr><td><strong><code>link</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td><p>버튼 유형에 따른 입력 데이터 형식은 다음과 같습니다.</p><ul><li>url 인 경우, web URL(http:// or https://로 시작하는 문자열)</li><li>call 인 경우, 전화번호(숫자만 허용)</li><li>chat 인 경우, 대화방ID</li></ul></td></tr></tbody></table>

### <mark style="color:blue;">applink</mark> - AppLink

<table data-full-width="true"><thead><tr><th width="135">필드명</th><th width="87">타입</th><th width="78" align="center">길이</th><th width="83" align="center">필수여부</th><th width="72">기본값</th><th>설명</th></tr></thead><tbody><tr><td>packageName</td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td>App 실행을 위한 package name</td></tr><tr><td>scheme</td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>App 실행을 위한 scheme</td></tr><tr><td>uri</td><td>sting</td><td align="center"></td><td align="center">O</td><td></td><td>App 실행을 위한 URI</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": {
        "brandId": "BR.61hBmMP164",
        "feedId": "BR.61hBmMP164.oQ6ay6aiZd",
        "publishDate": "201210181411",
        "type": "gallery",
        "title": "gallery feed title",
        "description": "gallery feed discription",
        "chType": "API",
        "media": [
            {
                "orderNo": 1,
                "fileId": "BR.61hBmMP164-FDcoZeqOY0W7",
                "url": "https://biz-dev.chatplus.co.kr/brand/BR.61hBmMP164/feed/20240704/BR.61hBmMP164-FDcoZeqOY0W7.jpg"
            },
            {
                "orderNo": 2,
                "fileId": "BR.61hBmMP164-FDcoZeqOY0W7",
                "url": "https://biz-dev.chatplus.co.kr/brand/BR.61hBmMP164/feed/20240704/BR.61hBmMP164-FDcoZeqOY0W7.jpg"
            }
        ],
        "buttons": [
            {
                "type": "call",
                "orderNo": 1,
                "title": "전화걸기",
                "link": "15884741"
            },
            {
                "type": "app",
                "orderNo": 2,
                "title": "앱 다운로드",
                "appLink": {
                    "packageName": "com.nhn.android.search",
                    "scheme": "naversearchapp",
                    "uri": "http://naverapp.naver.com/inappbrowser/?url=http%3A%2F%2Fm.naver.com&target=new&version=6"
                }
            }
        ],
        "publishType": "publish",
        "status": "save",
        "pinYn": "N",
        "registerId": "swjeong75",
        "registerDate": "2024-07-04T10:44:21.000+09",
        "updateId": "swjeong75",
        "updateDate": "2024-07-04T10:44:21.000+09"
    },
    "status": 200
}
```

{% endtab %}

{% tab title="401" %}

```
{
  "status": "401",
  "error": {
    "code": "61001",
    "message": "Missing Authorization header"
  }
}

{
    "error": {
        "code": "63001",
        "message": "No Brand Permission"
    },
    "status": 401
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [브랜드소식 - Response body error code](/feed-api/error_code.md#response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/feed-api/feed/get_feed_detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
